man(1)

IME
man - formatira i prikazuje računalne man stranice
manpath - saznaje korisnikovu stazu pretraživanja za man stranice

SAŽETAK
man [-acdfhkKtwW] [-m sustav] [-p niz] [-C konfiguracijska_datoteka] [-M staza] [-P preglednik] [-S popis_dijelova] [dio] ime ...

OPIS
man formatira i prikazuje računalne man stranice. Ova verzija poznaje varijable okružja MANPATH i (MAN)PAGER, pa možete imati svoje vlastite skupove osobnih man stranica i odabrati željeni program za prikaz formatiranih stranica. Ako je naveden dio, man pretražuje samo taj dio man stranica. Također možete preko opcija na naredbenom redu ili varijabli okružja odrediti red po kojem se pretražuju dijelovi te preprocesore kojima se obrađuju izvorne datoteke. Ako ime sadrži /, prvo ga se iskušava kao ime datoteke, pa tako možete pokrenuti ``man ./foo.5'' ili čak ``man /cd/foo/bar.1.gz''.

OPCIJE

-C  konfiguracijska_datoteka
    Koristi drugi man.conf; predodređeni je /etc/man.config. (Pogledajte man.conf(5).)

-M  staza
    staza je popis direktorija u kojima se traže man stranice. Ako takva opcija nije dana, koristi varijablu okružja MANPATH. Ako takve varijable okružja nema, predodređeni popis se nalazi u /etc/man.config. Neispunjen dio u MANPATH odgovara predodređenom popisu.

-P  preglednik
    Određuje korišteni preglednik. Ova opcija ima prednost nad varijablom okružja MANPAGER, koja pak ima prednost nad varijablom PAGER. man predodređeno koristi /bin/less-isr.

-S  popis_dijelova
    popis_dijelova je popis dvotočkama razdvojenih dijelova man stranica koje se pretražuje. Ova opcija ima prednost nad varijablom okružja MANSECT.

-a  man predodređeno izlazi nakon prikazivanja prve nađene man stranice. Ova opcija prisiljava man na prikaz svih man stranica čije je ime ime, a ne samo prve.

-c  Ponovno formatira izvornu man stranicu, čak i kada postoji svježa cat stranica. Ovo ima smisla ako je cat stranica formatirana za drukčiju širinu zaslona ili ako je preformatirana stranica pokvarena.

-d  U stvari ne prikazuje man stranice, ali zato ispisuje gomilu informacija za otklanjanje grešaka.

-D  I prikazuje i ispisuje informacije za otklanjanje grešaka.

-f  Isto što i whatis.

-h  Ispisuje poruku o korištenju od jednog reda i završava.

-k  Isto što i apropos.

-K  Navedeni niz traži u svim man stranicama. Upozorenje: ovo je vjerojatno vrlo sporo! Navođenje dijela ubrzava stvari. (Samo okvirno, na mom stroju ovo traje oko minutu na 500 man stranica.)

-m  sustav
    Pretražuje se drugi skup man stranica na osnovu danog imena sustava.

-p  niz
    niz određuje niz preprocesora koje treba pokrenuti prije pokretanja nroff odnosno troff. Sve instalacije nemaju potpun skup preprocesora. Neki od preprocesora i slova koja ih označuju su: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Ova opcija ima prednost nad varijablom okružja MANROFFSEQ.

-t  Za formatiranje man stranica koristi /build/jenkins/v2016.12/machine/intel-corei7-64/build/tmp-angstrom-glibc/sysroots/x86_64-linux/usr/bin/groff-Tps-mandoc-c, šaljući izlaz na standardni izlaz. Izlaz iz /build/jenkins/v2016.12/machine/intel-corei7-64/build/tmp-angstrom-glibc/sysroots/x86_64-linux/usr/bin/groff -Tps -mandoc -c može prije samog tiskanja zahtijevati prolazak kroz neki filter.

-w ili --path
    U stvari ne prikazuje man stranice, ali zato ispisuje lokacije datoteka koje bi se formatirale ili prikazale. Ako nije dan nijedan argument, prikazuje (na standardnom izlazu) popis direktorija u kojima man traži man stranice. Ako je manpath veza na man, onda ``manpath'' ima isti učinak kao ``man --path''.

-W  Kao -w, ali svako ime datoteke ispisuje u zasebnom redu, bez dodatnih informacija. Ovo je korisno u naredbama ljuske kao što je man -aW man | xargs ls -l

CAT STRANICE
man će pokušati snimiti formatirane man stranice kako bi uštedio vrijeme formatiranja slijedeći put kada te man stranice budu potrebne. Tradicionalno se formatirane verzije stranica iz DIREKTORIJ/manX snimaju u DIREKTORIJ/catX, no druga mapiranja man direktorija u cat direktorije se mogu odrediti u /etc/man.config. Kada potrebni cat direktorij ne postoji, cat stranice se ne snimaju.

man se može suid-ati na korisnika man. Potom će, ako je vlasnik cat direktorija man, uz dozvole 0755 (pisati može samo man), a vlasnik cat datoteka man uz dozvole 0644 ili 0444 (pisati može samo man, odnosno nitko ne može pisati), nijedan obični korisnik ne može mijenjati cat stranice ili stavljati druge datoteke u cat direktorij. Ako man nije suid-an, cat direktorij bi trebao imati dozvole 0777 ako bi svi korisnici trebali moći tamo ostavljati cat stranice.

Opcija -c prisiljava na ponovno formatiranje stranice, čak i ako postoji svježa cat stranica.

OKRUŽJE

MANPATH
    Ako je MANPATH postavljenja, njena se vrijednost koristi kao staza za traženje man stranica.

MANROFFSEQ
    Ako je MANROFFSEQ postavljena, njena vrijednost određuje skup preprocesora koje treba pokrenuti prije pokretanja nroff odnosno troff. Stranice predodređeno prolaze kroz preprocesor tablica prije nego prođu kroz nroff.

MANSECT
    Ako je MANSECT postavljena, njena vrijednost određuje dijelove man stranica koje treba pretražiti.

MANWIDTH
    Ako je MANWIDTH postavljena, njena se vrijednost koristi kao širina u kojoj bi se man stranice trebale prikazivati. Inače se stranice mogu prikazati preko cijele širine vašeg zaslona.

MANPAGER
    Ako je MANPAGER postavljena, njena se vrijednost koristi kao ime programa za prikaz man stranice. Ako nije, koristi se PAGER. Ako ni to nema vrijednosti, koristi se /bin/less-isr.

LANG
    Ako je LANG postavljena, njena vrijednost određuje ime poddirektorija u kojem man najprije traži man stranice. Dakle, naredba `LANG=hr man 1 foo' man tjera na traženje man stranice foo u .../hr/man1/foo.1, a ako takvu datoteku ne može naći, u .../man1/foo.1, gdje ... označava direktorij u stazi pretrage.

NLSPATH, LC_MESSAGES, LANG
    Varijable okružja NLSPATH i LC_MESSAGES (odnosno LANG kada ova druga ne postoji) igraju ulogu u nalaženju kataloga poruka. (No engleske su poruke ugrađene i engleski katalog nije potreban.) Primjetite da programi koje man pokreće, kao što je col(1), također mogu koristiti npr. LC_CTYPE.

PATH
    PATH se koristi u građenju predodređene staze traženja man stranica.

SYSTEM
    SYSTEM se koristi za određivanje predodređenog imena drugog sustava (za korištenje uz opciju -m).

TAKOĐER POGLEDAJTE
apropos(1), whatis(1), less(1), groff(1).

GREŠKE
Opcija -t radi samo ako je instaliran troff-olik program.

Ako umjesto crtica vidite trepćući \255 ili <AD>, u okružje dodajte `LESSCHARSET=latin1'.